/*
 * $Id: AlarmMessage.h,v 1.1.1.1 2002/09/24 17:40:06 dwalters Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * Modified by Anton Maslovsky <my-zaurus@narod.ru> 2003/01/28
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef ALARMMESSAGE_H
#define ALARMMESSAGE_H

#include "AlarmMessageBase.h"
#include "AlarmDetails.h"

class QTimer;
class AlarmClock;

class AlarmMessage : public AlarmMessageBase
{ 
    Q_OBJECT

public:
    AlarmMessage(AlarmDetails* pNewAlarm, QWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0 );
    ~AlarmMessage();

    static void playSound(const QString& device, const QString& sound);
    static bool playSoundOnDevice(const QString& device, const QString& sound);

private:
    QTimer* timer; 
    int stop;
    AlarmClock* pAlarmClock;
    AlarmDetails* pAlarm;
    
    void blinkLed(int led);

private slots:
    void timerTriggered();
    void snoozeClicked();
};

#endif // ALARMMESSAGE_H
