/*
 * $Id: AlarmSet.h,v 1.1.1.1 2002/09/24 17:40:08 dwalters Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * Modified by Anton Maslovsky <my-zaurus@narod.ru> 2003/01/28
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */

#ifndef ALARMSET_H
#define ALARMSET_H

#include <qdatetime.h>

#include <qpe/applnk.h>

#include "alarmsetbase.h"
#include "AlarmDetails.h"

class FileSelector;
class AlarmSet : public AlarmSetBase
{
    Q_OBJECT

public:
    AlarmSet(AlarmDetails* alarmDetailsInit, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
    ~AlarmSet();

private:
    QTime alarmTime;
    AlarmDetails* alarmDetails;
    QCheckBox* chkWeekdays[NUM_WEEKDAYS];
    void setWeekdaysFlags(AlarmDetails::Weekdays weekdays, bool enable = false);
    AlarmDetails::Weekdays weekdaysFlags() const;
    FileSelector* selector;

private slots:
    void hourChanged(int);
    void minuteChanged(int);
    void chkPMChanged(int);
    void cboFrequencyActivated(int);
    void selectWavFileClicked();
    void fileSelected(const DocLnk& );
    void playFileClicked();
    void previewClicked();
    
protected slots:
    virtual void accept();
};

#endif

