/*
 * $Id: qpealarmclock.h,v 1.3 2002/11/17 16:35:54 dwalters Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * Modified by Anton Maslovsky <my-zaurus@narod.ru> 2003/01/28
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef QPEALARMCLOCK_H
#define QPEALARMCLOCK_H

#define NUM_ALARMS 5
#define SNOOZE_ALARM 4
#define VERSION "1.0.9"

#include "qpealarmclockbase.h"
#include "qlabel.h"
#include "AlarmDetails.h"

class QTimer;

class AlarmClock : public AlarmClockBase
{ 
    Q_OBJECT

public:
    AlarmClock( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~AlarmClock();
    
    bool twelveHourClock;
    bool weekStartMonday;
    AlarmDetails* snoozeAlarm() { return alarms[SNOOZE_ALARM]; };

protected:
    void updateUI();

	void loadAlarms();
	void clearAlarms();

	void reloadAlarms()
	{
		clearAlarms();
		loadAlarms();
	}
	
    void showAlarm(AlarmDetails* alarmDetails, QLabel* lblTime, 
                   QLabel* lblFrequency, QGroupBox* groupAlarm);
    void initTwelveHourClock(); 
    void AlarmClock::editAlarm(AlarmDetails* alarm, bool bClose = false);
    QString buildAlarmText(AlarmDetails* alarm) const;

    AlarmDetails* alarms[NUM_ALARMS];
    QTimer* timer; 
    
protected slots:
    void appMessage(const QCString& msg, const QByteArray& data);

    void aboutClicked();
    void alarm1clicked();
    void alarm2clicked();
    void alarm3clicked();
    void alarm4clicked();
    void timerTriggered();
};

#endif // QPEALARMCLOCK_H
